# struct FormatInfo | A structure to hold information about a data format. More...
Full name | `TelEngine::FormatInfo`
Definition | `#include <yatephone.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- int guessSamples (int len) const
- int dataRate () const
- inline FormatInfo ()
- inline explicit FormatInfo (const char* _name, int fsize = 0, int ftime = 10000, const char* _type = "audio", int srate = 8000, int nchan = 1, bool convert = false)

#### Public Members

- const char* name
- const char* type
- int frameSize
- int frameTime
- int sampleRate
- int numChannels
- bool converter

## Detailed Description

A structure to hold information about a data format.

const char* name | ### name

const char* type | ### type

int frameSize | ### frameSize

int frameTime | ### frameTime

int sampleRate | ### sampleRate

int numChannels | ### numChannels

bool converter | ### converter

int guessSamples (int len) | ### guessSamples

[const]

Guess the number of samples in an encoded data block

Parameters:

len | Length of the data block in octets

Returns: Number of samples or 0 if unknown

int dataRate () | ### dataRate

[const]

Get the data rate in bytes/s

Returns: Data rate or 0 if variable/undefined

inline FormatInfo () | ### FormatInfo

Default constructor - used to initialize arrays

inline explicit FormatInfo (const char* _name, int fsize = 0, int ftime = 10000, const char* _type = "audio", int srate = 8000, int nchan = 1, bool convert = false) | ### FormatInfo

Normal constructor

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.